/*
Copyright 2008, Freie Universitaet Berlin. All rights reserved.

These sources implementing a version of the Distance Source Routing 
protocol (DSR)were developed at the Freie Universitt Berlin, for the
subject "Telematic Project: Wireless Embedded Systems".

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

- Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
 
- Neither the name of Freie Universitaet Berlin (FUB) nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

This software is provided by FUB and the contributors on an "as is"
basis, without any representations or warranties of any kind, express
or implied including, but not limited to, representations or
warranties of non-infringement, merchantability or fitness for a
particular purpose. In no event shall FUB or contributors be liable
for any direct, indirect, incidental, special, exemplary, or
consequential damages (including, but not limited to, procurement of
substitute goods or services; loss of use, data, or profits; or
business interruption) however caused and on any theory of liability,
whether in contract, strict liability, or tort (including negligence
or otherwise) arising in any way out of the use of this software, even
if advised of the possibility of such damage.

This implementation was developed by the authors Joaquin Gonzalez and
Inas Sameer at the subject "Telematic Project: Wireless Embedded Systems"
during the Winter term 2008.

For documentation and questions please use the web site
http://scatterweb.mi.fu-berlin.de and the mailinglist
scatterweb@lists.spline.inf.fu-berlin.de (subscription via the Website).
Berlin, December 2008
*/

#ifndef SCATTERWEB_PROCESS_H_
#define SCATTERWEB_PROCESS_H_

#define DEBUGDSR 0
#define DEBUGTCP 0
#define SHOWDSR 0

//Test global metrics

/**
 @brief		Number of segments to be sent from application layer.
 */
uint16_t counter;

/**
 @brief		Inter-segment interval expressed as quarters of second.
 */
uint16_t interval;

/**
 @brief		Number of segments sent from application layer to the transport layer.
 */
uint16_t SendDataCtr;


//Layer 3 test metrics (DSR)

/**
 @brief		Number of sent data packets from layer 3 (DSR).
 */
uint16_t SentDataPcktCtr;

/**
 @brief		Number of delivered packets at layer 3 (DSR).
 */
uint16_t RcvDataPcktCtr;


//Layer 4 test metrics (TCP)

/**
 @brief		Number of sent TCP segments.
 */
uint16_t SentTCPDataCtr;

/**
 @brief		Number of delivered TCP segments.
 */
uint16_t RcvTCPDataCtr;

/**
 @brief		Number of TCP retransmissions.
 */
uint16_t RetxTCPDataCtr;

/**
 @brief		Number of dropped TCP segments (Send Buffer Overflow).
 */
uint16_t DropTCPDataCtr;


#endif /*SCATTERWEB_PROCESS_H_*/
